Package net.shibboleth.idp.plugin.authn.webauthn.metadata.impl

# Class PasskeyAaguidMetadataFactory

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.plugin.authn.webauthn.metadata.impl.PasskeyAaguidMetadataFactory

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`, `FactoryBean<PasskeyAaguidMetadataService>`

public class PasskeyAaguidMetadataFactory extends AbstractIdentifiableInitializableComponent implements FactoryBean<PasskeyAaguidMetadataService>
A spring factory bean for create a `PasskeyAaguidMetadataService`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Resource`
`passkeyAaguidFile`
The File location of the passkey AAGUID JSON file.

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`PasskeyAaguidMetadataFactory()`

## Method Summary

Modifier and Type
Method
Description
`PasskeyAaguidMetadataService`
`getObject()`
`Class<?>`
`getObjectType()`
`Resource`
`getPasskeyAaguidFile()`
Get the passkey Aaguid JSON file.
`void`
`setPasskeyAaguidFile(Resource file)`
Set the passkey Aaguid JSON file.

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`doInitialize, ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.beans.factory.FactoryBean

`isSingleton`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Field Details

### passkeyAaguidFile

@Nullable private Resource passkeyAaguidFile
The File location of the passkey AAGUID JSON file.

## Constructor Details

### PasskeyAaguidMetadataFactory

public PasskeyAaguidMetadataFactory()

## Method Details

### setPasskeyAaguidFile

public void setPasskeyAaguidFile(@Nullable Resource file)
Set the passkey Aaguid JSON file.

Parameters:
  `file` - The passkey Aaguid JSON file to set.

### getPasskeyAaguidFile

@Nullable public Resource getPasskeyAaguidFile()
Get the passkey Aaguid JSON file.

Returns:
  the passkey Aaguid JSON file.

### getObject

public PasskeyAaguidMetadataService getObject() throws Exception

Specified by:
  `getObject` in interface `FactoryBean<PasskeyAaguidMetadataService>`
Throws:
  `Exception`

### getObjectType

public Class<?> getObjectType()

Specified by:
  `getObjectType` in interface `FactoryBean<PasskeyAaguidMetadataService>`